YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class BaseAxis

Package | com.yahoo.astra.fl.charts.axes
Class | public class BaseAxis
Subclasses | CategoryAxis, NumericAxis, TimeAxis

Implements some of the most common axis functionality to prevent duplicate code in IAxis implementations.

This class is not meant to be instantiated directly! It is an abstract base class.

Public Properties

| Property | Defined by
--- | --- | ---
|  | chart : IChart The chart in which this axis appears. | BaseAxis
|  | labelFunction : Function | BaseAxis
|  | renderer : IAxisRenderer The visual renderer applied to this axis. | BaseAxis
|  | reverse : Boolean Sets the direction of the labels and other visual objects along the axis. | BaseAxis
|  | title : String The text that will appear next to the axis to indicate information about the data that it displays. | BaseAxis

Public Methods

| Method | Defined by
--- | --- | ---
|  | BaseAxis() Constructor. | BaseAxis
|  | valueToLabel(value:Object):String Converts a value on the axis to formatted label text. | BaseAxis

Property detail

chart | property

`chart:IChart` [read-write]

The chart in which this axis appears.

Implementation
`public function get chart():IChart`
`public function set chart(value:IChart):void`

labelFunction | property |

`labelFunction:Function` [read-write]

Implementation
`public function get labelFunction():Function`
`public function set labelFunction(value:Function):void`

renderer | property |

`renderer:IAxisRenderer` [read-write]

The visual renderer applied to this axis.

Implementation
`public function get renderer():IAxisRenderer`
`public function set renderer(value:IAxisRenderer):void`

reverse | property |

`reverse:Boolean` [read-write]

Sets the direction of the labels and other visual objects along the axis. By default, vertical axes draw objects from bottom to top, and horizontal axes draw objects from left to right.

Implementation
`public function get reverse():Boolean`
`public function set reverse(value:Boolean):void`

title | property |

`title:String` [read-write]

The text that will appear next to the axis to indicate information about the data that it displays.

Implementation
`public function get title():String`
`public function set title(value:String):void`
Constructor detail

BaseAxis | () | constructor

`public function BaseAxis()`

Constructor.

Method detail

valueToLabel | () | method

`public function valueToLabel(value:Object):String`

Converts a value on the axis to formatted label text.

Parameters

| `value:Object` — the value of the item for which a label is needed

Returns

| `String` — the formatted label text